#include "xsentienthandle.h"

XSentientHandle::XSentientHandle()
    : XAsset()
    , mNumber(0)
    , mInfoIndex(0)
{
    SetName("Sentient Handle");
}

XSentientHandle::~XSentientHandle()
{
    
}

void XSentientHandle::ParseData(XDataStream *aStream)
{
    mNumber = aStream->ParseInt16(QString("%1 number").arg(GetName()));
    mInfoIndex = aStream->ParseInt16(QString("%1 info index").arg(GetName()));
}

void XSentientHandle::Clear()
{
    mNumber = 0;
    mInfoIndex = 0;
}
